#ifndef __BSDSYSCALL_H
#define __BSDSYSCALL_H(x) __bsdkern_ ## x

extern int     bsdsys_fcntl(void FAR *sock, int cmd, ...);      
extern int     bsdsys_ioctl(void FAR *sock, unsigned long cmd, ...);
extern int     bsdsys_validate_socket (void FAR *sock);         
extern void FAR *bsdsys_dup (void FAR *sock);
extern int     bsdsys_close (void FAR *sock);
extern void FAR *bsdsys_socket (int af, int type, int proto);
extern void FAR *bsdsys_accept (void FAR *sock, struct sockaddr *addr, int *addrlen);
extern int     bsdsys_recvmsg (void FAR *sock, struct msghdr *msg, int flags);
extern int     bsdsys_sendmsg(void FAR *sock, const struct msghdr *msg, int flags );
extern int     bsdsys_bind (void FAR *sock, const struct sockaddr *myaddr, int namelen);
extern int     bsdsys_connect (void FAR *sock, const struct sockaddr *servaddr, int addrlen);
extern int     bsdsys_getsockname(void FAR *sock, struct sockaddr *name, int *namelen);
extern int     bsdsys_getpeername(void FAR *sock, struct sockaddr *name, int *namelen);
extern int     bsdsys_listen (void FAR *sock, int backlog);
extern int     bsdsys_shutdown(void FAR *sock, int how);
extern int     bsdsys_setsockopt(void FAR *sock, int level, int option, const void *optval, int optlen);
extern int     bsdsys_getsockopt(void FAR *sock, int level, int option, void *optval, int *optlen);

#endif  /* __BSDSYSCALL_H */
